Bug 1594304 - GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported [NEEDINFO]
Summary: GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported
Status: CLOSED DUPLICATE of bug 1360137
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL: https://bugs.centos.org/view.php?id=1...
Whiteboard:
Keywords:
Depends On: 1666811 1360137
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-22 15:09 UTC by R P Herrold
Modified: 2019-01-16 15:49 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1360137
Environment:
Last Closed: 2018-06-25 20:36:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
qzhang: needinfo? (herrold)


Attachments (Terms of Use)

Description R P Herrold 2018-06-22 15:09:50 UTC
errors expressing this were previously (improperly) filed against gimp, and qemu, rather than the library needing the feature enabled (glib)

$ rpm -V glib ; rpm -q glib 
glib-1.2.10-41.el7.x86_64

The component change did NOT update the CC , although it seemed to change the Assignee and QA fields


+++ This bug was initially created as a clone of Bug #1360137 +++

Description of problem:
When start a guest on host with latest qemu-kvm version, there is warning prompt: "GLib-WARNING **: gmem.c:482: custom memory allocation vtable not supported"; while no the issue on host with latesst qemu-kvm-rhev version.

https://rhn.redhat.com/errata/RHSA-2016-2585.html

=============

This appears to not be fully handled.  I get this today:

[herrold@ alpine-s390]$ sudo qemu-system-s390x -nographic -cdrom alpine-standard-3.8.0_rc8-s390x.iso

(process:16383): GLib-WARNING **: gmem.c:483: custom memory allocation vtable not supported

$ rpm -V qemu-system-s390x 

(this package is in EPEL 7)

The candidate package is:

http://dl-cdn.alpinelinux.org/alpine/v3.8/releases/s390x/alpine-standard-3.8.
0_rc8-s390x.iso


also seen in CentOS pre 7.5 at:

https://bugs.centos.org/view.php?id=12671

Comment 2 Colin Walters 2018-06-22 15:13:54 UTC
Yeah, I think this was patched in qemu, just not backported to the RHEL7 version obviously.  We could probably change glib to stop emitting this message, but ultimately qemu needs to pick up the fix to stop using the API.

Comment 3 R P Herrold 2018-06-22 15:17:26 UTC
As an additional reproducer, it is also more simply expressed:

[herrold@centos-7 ~]$ qemu-system-s390x -version

(process:17483): GLib-WARNING **: gmem.c:483: custom memory allocation vtable not supported
QEMU emulator version 2.0.0, Copyright (c) 2003-2008 Fabrice Bellard
[herrold@centos-7 ~]$

Comment 4 Qunfang Zhang 2018-06-25 10:14:06 UTC
Hello!

Could you confirm which architecture the issue happens? s390x? x86_64? It seems the qemu is s390x version but the glib package is for x86.

Besides, what upstream qemu version are you using? 

I don't reproduce this issue with a RHEL-ALT-7 downstream qemu:

# /usr/libexec/qemu-kvm -version 
QEMU emulator version 2.12.0 (qemu-kvm-ma-2.12.0-3.el7)
Copyright (c) 2003-2017 Fabrice Bellard and the QEMU Project developers

Thanks,
Qunfang

Comment 5 Thomas Huth 2018-06-25 11:03:09 UTC
(In reply to R P Herrold from comment #3)
> QEMU emulator version 2.0.0, Copyright (c) 2003-2008 Fabrice Bellard

Looks like you're using a very old version of QEMU here. Please use a newer version instead.

Comment 6 Ademar Reis 2018-06-25 20:36:58 UTC
(In reply to R P Herrold from comment #3)
> As an additional reproducer, it is also more simply expressed:
> 
> [herrold@centos-7 ~]$ qemu-system-s390x -version
> 
> (process:17483): GLib-WARNING **: gmem.c:483: custom memory allocation
> vtable not supported
> QEMU emulator version 2.0.0, Copyright (c) 2003-2008 Fabrice Bellard
> [herrold@centos-7 ~]$

We fixed it a while ago in upstream qemu-2.5.0 (98cf48f6) and backported it to RHEL's qemu-kvm-1.5.3. See Bug 1360137 for details. I'm closing this BZ as a duplicate.

*** This bug has been marked as a duplicate of bug 1360137 ***


Note You need to log in before you can comment on or make changes to this bug.